package de.ozgcloud.processor.processor;

import java.net.InetSocketAddress;
import java.net.ProxySelector;
import java.net.http.HttpClient;
import java.util.Optional;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.reactive.ClientHttpConnector;
import org.springframework.http.client.reactive.JdkClientHttpConnector;
import org.springframework.web.reactive.function.client.WebClient;

import lombok.RequiredArgsConstructor;

@Configuration
@RequiredArgsConstructor
class ProcessorConfiguration {

	private final Optional<ProxyProperties> proxyProperties;

	@Bean
	WebClient webClient(WebClient.Builder webClientBuilder) {
		proxyProperties.map(this::createProxyConnector).ifPresent(webClientBuilder::clientConnector);
		return webClientBuilder.build();
	}

	ClientHttpConnector createProxyConnector(ProxyProperties httpProxy) {
		var addr = new InetSocketAddress(httpProxy.getHost(), httpProxy.getPort());
		var httpClient = HttpClient.newBuilder().proxy(ProxySelector.of(addr)).build();
		return new JdkClientHttpConnector(httpClient);
	}
}
