package de.ozgcloud.processor.processor;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.validation.annotation.Validated;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Configuration
@ConditionalOnProperty(prefix = "ozgcloud.http-proxy", name = { "host", "port" })
@ConfigurationProperties(prefix = "ozgcloud.http-proxy")
@Validated
@ToString
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProxyProperties {

	@NotBlank
	private String host;

	@NotNull
	private Integer port;

}
