package de.ozgcloud.processor.result;

import de.ozgcloud.common.errorhandling.TechnicalException;
import lombok.Getter;

@Getter
public class ProcessorTechnicalException extends TechnicalException {

	private final String vorgangId;

	private final String processorName;

	public ProcessorTechnicalException(String vorgangId, String processorName, String message) {
		super(message);
		this.vorgangId = vorgangId;
		this.processorName = processorName;
	}

	public ProcessorTechnicalException(String vorgangId, String processorName, String message, Throwable exception) {
		super(message, exception);
		this.vorgangId = vorgangId;
		this.processorName = processorName;
	}

}
