package de.ozgcloud.processor.result;

import com.fasterxml.jackson.annotation.JsonCreator;

import de.ozgcloud.common.errorhandling.TechnicalException;

public enum Severity {
	INFO, WARN, ERROR, UNKNOWN;

	@JsonCreator
	public static Severity from(String severity) {
		try {
			return valueOf(severity.toUpperCase());
		} catch (IllegalArgumentException | NullPointerException e) {
			throw new TechnicalException("Unknown severity: " + severity, e);
		}
	}
}
