package de.ozgcloud.processor.vorgang;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangId;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangService;
import lombok.NonNull;

@Service("processorVorgangService")
public class VorgangService {

	@Autowired
	@Qualifier("processorManager_OzgCloudCommandService")
	private OzgCloudVorgangService ozgCloudService;
	@Autowired
	private ProcessorVorgangMapper mapper;

	public Vorgang getVorgang(@NonNull VorgangId id) {
		var loaded = ozgCloudService.getById(OzgCloudVorgangId.from(id.toString()));

		return mapper.mapVorgang(loaded);
	}
}
