package de.ozgcloud.processor.processor;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

public class ProxyPropertiesITCase {

	@Nested
	@SpringBootTest(properties = {
			"ozgcloud.http-proxy.host=" + ProxyPropertiesTestFactory.HOST,
			"ozgcloud.http-proxy.port=" + ProxyPropertiesTestFactory.PORT })
	class TestProperties {

		@Autowired
		private ProxyProperties proxyProperties;

		@Test
		void shouldHaveHost() {
			assertThat(proxyProperties.getHost()).isEqualTo(ProxyPropertiesTestFactory.HOST);
		}

		@Test
		void shouldHavePort() {
			assertThat(proxyProperties.getPort()).isEqualTo(ProxyPropertiesTestFactory.PORT);
		}

	}

	@Nested
	@SpringBootTest
	class TestProxyPropertiesNotSet {

		@Autowired(required = false)
		private ProxyProperties proxyProperties;

		@Test
		void shouldLoadContext() {
			assertThat(proxyProperties).isNull();
		}
	}
}
