package de.ozgcloud.processor.vorgang;

import static de.ozgcloud.apilib.vorgang.OzgCloudVorgangEingangTestFactory.*;

import java.util.List;

public class EingangTestFactory {

	public static Eingang create() {
		return createBuilder().build();
	}

	public static Eingang.EingangBuilder createBuilder() {
		return Eingang.builder()
				.antragsteller(AntragstellerTestFactory.create())
				.attachment(AttachmentTestFactory.createFileGroup())
				.formData(List.<FormDataEntry>of(
						FormField.builder().name(FIELD_NAME).label(FIELD_LABEL).value(FIELD_VALUE).build(),
						SubForm.builder().name(SUB_FORM_NAME).label(SUB_FORM_LABEL)
								.formItem(FormField.builder()
										.name(SUB_FORM_FIELD_NAME).label(SUB_FORM_FIELD_LABEL).value(SUB_FORM_FIELD_VALUE).build())
								.build()));
	}
}
