package de.ozgcloud.processor.vorgang;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.ozgcloud.apilib.vorgang.OzgCloudEingang;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;

class ProcessorVorgangMapperTest {

	private ProcessorVorgangMapper mapper = Mappers.getMapper(ProcessorVorgangMapper.class);

	@Nested
	class TestMapVorgang {
		@Test
		void shouldMapAllField() {
			var mapped = mapper.mapVorgang(OzgCloudVorgangTestFactory.create());

			assertThat(mapped).usingRecursiveComparison().isEqualTo(VorgangTestFactory.create());
		}

		@Test
		void shouldBeAbleToMapPoorEingang() {
			var mapped = mapper.mapVorgang(OzgCloudVorgangTestFactory.createBuilder()
					.clearEingangs().eingang(OzgCloudEingang.builder().build()).build());

			assertThat(mapped).isNotNull();
		}
	}

}
