package de.ozgcloud.processor.vorgang;

import static de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory.*;

import de.ozgcloud.apilib.vorgang.OzgCloudEingangHeaderTestFactory;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;

public class VorgangTestFactory {

	public static final VorgangId ID = VorgangId.from(OzgCloudVorgangTestFactory.ID);

	public static Vorgang create() {
		return createBuilder().build();
	}

	public static Vorgang.VorgangBuilder createBuilder() {
		return Vorgang.builder()
				.id(ID)
				.version(VERSION)
				.vorgangName(VORGANG_NAME)
				.vorgangNummer(VORGANG_NUMMER)
				.formId(OzgCloudEingangHeaderTestFactory.FORM_ID)
				.formEngineName(OzgCloudEingangHeaderTestFactory.FORM_ENGINE_NAME)
				.eingang(EingangTestFactory.create());
	}
}
